NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Routing.Overstock Class Reference

Represents an NXOpen.Routing.Overstock object. More...

Inheritance diagram for NXOpen.Routing.Overstock:
NXOpen.Routing.Stock NXOpen.NXObject NXOpen.Routing.ICharacteristic NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Routing.Stock[] GetCoveredStocks ()
 Get the stocks covering this NXOpen.Routing.Overstock . More...
 
unsafe NXOpen.Scalar GetGapDistance ()
 Get the gap distance for this NXOpen.Routing.Overstock . More...
 
unsafe NXOpen.Scalar GetNumberOfWraps ()
 Returns the number of wraps for this NXOpen.Routing.Overstock . More...
 
unsafe
NXOpen.Routing.CreationMethod 
GetOverstockCreationMethod ()
 Returns the creation method of this NXOpen.Routing.Overstock . More...
 
unsafe NXOpen.Curve[] GetOverstockSegments ()
 Returns the segments over which this NXOpen.Routing.Overstock is applied. More...
 
unsafe NXOpen.Routing.Type GetOverstockType ()
 Returns the type of overstock. More...
 
unsafe NXOpen.Scalar GetPercentageOverlap ()
 Get the overlap percentage of this NXOpen.Routing.Overstock . More...
 
unsafe NXOpen.Scalar GetThickness ()
 Get the thickness of this NXOpen.Routing.Overstock . More...
 
unsafe NXOpen.Scalar GetWidth ()
 Get the width of this NXOpen.Routing.Overstock . More...
 
- Public Member Functions inherited from NXOpen.Routing.Stock
unsafe void AddSegments (NXOpen.Curve[] segments)
 Adds new segments to this object. More...
 
unsafe void AlignStock (NXOpen.Vector3d vector)
 Align stock to new rotation vector. More...
 
unsafe void ColorBodies ()
 Colors the solid bodies of the stock based on the COLOR characteristic specified in the NXOpen.Routing.StockData of the stock. More...
 
unsafe bool ConnectStockComponentWithAssemblyPath ()
 If the stock components are disconnected from the path in the assembly this method will connect them again with the path. More...
 
unsafe void DeleteCharacterstics (NXOpen.Routing.CharacteristicList values)
 Removes the input list of characteristics from this object. More...
 
unsafe bool FixCrossSectionInvalidities ()
 If the stock has cross section invalidities this function corrects those. More...
 
unsafe NXOpen.Routing.Anchor GetAnchor ()
 Gets the NXOpen.Routing.Anchor that currently modifies the profile for the stock. More...
 
unsafe NXOpen.Body[] GetBodies ()
 Returns the solid bodies, if any, that are created and controlled by this object. More...
 
unsafe void GetBodySegmentMap (NXOpen.Features.Feature feature, out NXOpen.Body body, out NXOpen.Curve[] stockSegments, out NXOpen.Curve[] pathSegments)
 Given stock and a feature of the stock, returns solid body, stock segments and path segments that produced the body. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
unsafe NXOpen.Assemblies.Component GetComponent ()
 Returns the NXOpen.Assemblies.Component created and controlled by the stock for a Stock as Components stock. More...
 
unsafe NXOpen.Routing.CrossSection GetCrossSection ()
 Gets the NXOpen.Routing.CrossSection that currently defines the profile for the stock. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
unsafe NXOpen.Features.Feature[] GetFeatures ()
 Returns the sweep features that are created and controlled by this object. More...
 
unsafe NXOpen.Routing.Flip GetFlippedStatus ()
 Gets whether or not the profile is flipped. More...
 
unsafe
NXOpen.Routing.Electrical.HarnessDevice 
GetHarnessDevice ()
 For Routing Electrical application only, returns the Routing.Electrical.HarnessDevice that owns the wire or wires that make up a stock bundle. More...
 
unsafe int GetIntegerCharacteristic (string name)
 Get the value of an integer characteristic associated with the input name. More...
 
unsafe NXOpen.Routing.ComponentName GetNameStatus ()
 Returns whether or not the component associated with a Stock as Components Stock has a permanent or temporary name. More...
 
unsafe double GetOriginalLength ()
 Returns the original length for a stock that has been deformed (it's use is Routing.StockUse.Deformed ). More...
 
unsafe void GetPorts (out NXOpen.Routing.StockPort startPort, out NXOpen.Routing.StockPort endPort)
 Returns the NXOpen.Routing.StockPort at each end of the stock. More...
 
unsafe NXOpen.Routing.ProfileFrom GetProfileEnd ()
 Gets the end that defines profile. More...
 
unsafe double GetRealCharacteristic (string name)
 Get the value of a real characteristic associated with the input name. More...
 
unsafe double GetRotationAngle ()
 Gets the rotation angle applied to the profile. More...
 
unsafe NXOpen.Curve[] GetSegments ()
 Gets the segments that the NXOpen.Routing.Stock object is placed on top of. More...
 
unsafe NXOpen.Routing.StockData GetStockData ()
 Gets the NXOpen.Routing.StockData . More...
 
unsafe NXOpen.Routing.StockStyle GetStockStyle ()
 Gets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe NXOpen.Routing.StockUse GetStockUse ()
 Returns the use of the stock. More...
 
unsafe string GetStringCharacteristic (string name)
 Get the value of a string characteristic associated with the input name. More...
 
unsafe double GetTwistAngle ()
 Gets the twist angle applied to the profile. More...
 
unsafe bool IsSpaceReservation ()
 Is this stock a Space Reservation stock?. More...
 
unsafe void RemoveSegments (NXOpen.Curve[] segments)
 Removes segments from this object. More...
 
unsafe void RenameStockComponent (string partName)
 Renames the stock component part with given name More...
 
unsafe void SetAnchor (NXOpen.Routing.Anchor anchor)
 Sets the NXOpen.Routing.Anchor . More...
 
unsafe void SetCharacteristic (string name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, string value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic2 (string title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, string value)
 Sets or creates a string type type attribute associated with the input title. More...
 
unsafe void SetCharacteristics (NXOpen.Routing.CharacteristicList values)
 Set all of the characteristics values on this object. More...
 
unsafe void SetCharacteristics2 (NXOpen.Routing.CharacteristicList values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
unsafe void SetCrossSection (NXOpen.Routing.CrossSection crossSection)
 Sets the NXOpen.Routing.CrossSection . More...
 
unsafe void SetFlippedStatus (NXOpen.Routing.Flip flipped)
 Sets whether or not the profile is flipped. More...
 
unsafe void SetProfileEnd (NXOpen.Routing.ProfileFrom profileEnd)
 Sets the end that defines profile. More...
 
unsafe void SetRotationAngle (double rotationAngle)
 Sets the rotation angle applied to the profile. More...
 
unsafe void SetStockData (NXOpen.Routing.StockData stockData)
 Sets the NXOpen.Routing.StockData . More...
 
unsafe void SetStockStyle (NXOpen.Routing.StockStyle style)
 Sets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe void SetTwistAngle (double twistAngle)
 Sets the twist angle applied to the profile. More...
 
unsafe void SyncComponentAttrs (bool isNewPart)
 Set the characteristics of the given stock's component so that it has the same characteristics as the NXOpen.Routing.Stock and its stock data. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Routing.Stock
unsafe bool NegateOffsetsFlag [get, set]
 Returns or sets the negate offsets flag of this NXOpen.Routing.Stock . More...
 

Detailed Description

Represents an NXOpen.Routing.Overstock object.

Creator not available in KF.

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.Routing.Stock [] NXOpen.Routing.Overstock.GetCoveredStocks ( )
inline

Get the stocks covering this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Scalar NXOpen.Routing.Overstock.GetGapDistance ( )
inline

Get the gap distance for this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Scalar NXOpen.Routing.Overstock.GetNumberOfWraps ( )
inline

Returns the number of wraps for this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Routing.CreationMethod NXOpen.Routing.Overstock.GetOverstockCreationMethod ( )
inline

Returns the creation method of this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Curve [] NXOpen.Routing.Overstock.GetOverstockSegments ( )
inline

Returns the segments over which this NXOpen.Routing.Overstock is applied.

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Routing.Type NXOpen.Routing.Overstock.GetOverstockType ( )
inline

Returns the type of overstock.

Possible types are wrapped, sleeved, flagged and an overstock with fixed cross section.

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Scalar NXOpen.Routing.Overstock.GetPercentageOverlap ( )
inline

Get the overlap percentage of this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Scalar NXOpen.Routing.Overstock.GetThickness ( )
inline

Get the thickness of this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns
unsafe NXOpen.Scalar NXOpen.Routing.Overstock.GetWidth ( )
inline

Get the width of this NXOpen.Routing.Overstock .

Created in NX5.0.0

License requirements: routing_advanced ("Routing Advanced") OR routing_harness ("Routing Harness") OR routing_cabling ("Routing Cabling") OR routing_pipetube ("Routing Piping and Tubing") OR routing_hvac ("Routing HVAC") OR routing_platform ("Routing Platform") OR routing_pid ("Routing PID")

Returns

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.